%% Spot methods
% Many of the Spot methods have the same syntax as Matlab methods that are
% called on matrices.
%
% * <htmlhelp/bicg.html bicg> - BiConjugate Gradients Method
% * <htmlhelp/bicgstab.html bicgstab> - BiConjugate Gradients Stabilized Method
% * <htmlhelp/blkdiag.html blkdiag> - Block-diagonal concatenation of operator input arguments
% * <htmlhelp/cgs.html cgs> - Conjugate Gradients Squared Method
% * <htmlhelp/char.html char> - Create a string representation of a Spot operator
% * <htmlhelp/conj.html conj> - Elementwise conjugate of operator
% * <htmlhelp/ctranspose.html ctranspose> - Complex conjugate tranpose
% * <htmlhelp/diag.html diag> - Diagonal operator and diagonals of an operator
% * <htmlhelp/disp.html disp> - Display a Spot operator
% * <htmlhelp/display.html display> - Display an operator
% * <htmlhelp/double.html double> - Converts a Spot operator to matrix
% * <htmlhelp/drandn.html drandn> - Normally distributed pseudorandom vector in the operator domain
% * <htmlhelp/eigs.html eigs> - Find a few eigenvalues and eigenvectors of an operator using ARPACK
% * <htmlhelp/end.html end> - returns maximum index
% * <htmlhelp/full.html full> - Convert a Spot operator into a (dense) matrix
% * <htmlhelp/gmres.html gmres> - Generalized Minimum Residual Method
% * <htmlhelp/horzcat.html horzcat> - Horizontal concatenation
% * <htmlhelp/imag.html imag> - Complex imaginary part
% * <htmlhelp/inv.html inv> - Inverse of a linear operator
% * <htmlhelp/isempty.html isempty> - True for empty operator
% * <htmlhelp/isreal.html isreal> - True for real operator
% * <htmlhelp/isscalar.html isscalar> - True if operator is a scalar
% * <htmlhelp/kron.html kron> - Kronecker tensor product of operators
% * <htmlhelp/length.html length> - Maximum dimension of operator
% * <htmlhelp/lsqr.html lsqr> - LSQR Method
% * <htmlhelp/minres.html minres> - Minimum Residual Method
% * <htmlhelp/minus.html minus> - Difference of two operators
% * <htmlhelp/mldivide.html mldivide> - Backslash or left matrix divide
% * <htmlhelp/mpower.html mpower> - Matrix power
% * <htmlhelp/mrdivide.html mrdivide> - Slash or right matrix divide
% * <htmlhelp/mtimes.html mtimes> - Product of two operators
% * <htmlhelp/ndims.html ndims> - Number of dimensions
% * <htmlhelp/normest.html normest> - Estimate the matrix 2-norm
% * <htmlhelp/pcg.html pcg> - Preconditioned Conjugate Gradients Method
% * <htmlhelp/pinv.html pinv> - Pseudo-inverse of an operator
% * <htmlhelp/plus.html plus> - Sum of two operators
% * <htmlhelp/qmr.html qmr> - Quasi-Minimal Residual Method
% * <htmlhelp/real.html real> - Complex real part
% * <htmlhelp/rrandn.html rrandn> - Normally distributed pseudorandom vector in the operator range
% * <htmlhelp/size.html size> - Dimensions of a Spot operator
% * <htmlhelp/spotexport.html spotexport> - 
% * <htmlhelp/spotparams.html spotparams> - 
% * <htmlhelp/spotpublish.html spotpublish> - 
% * <htmlhelp/spottests.html spottests> - 
% * <htmlhelp/subsasgn.html subsasgn> - Subscribed assignment
% * <htmlhelp/subsref.html subsref> - Subscripted reference
% * <htmlhelp/symmlq.html symmlq> - Symetric LQ Method
% * <htmlhelp/transpose.html transpose> - Operator tranpose
% * <htmlhelp/uminus.html uminus> - Unary minus
% * <htmlhelp/uplus.html uplus> - Unary plus
% * <htmlhelp/vertcat.html vertcat> - Vertical concatenation
